MServerSockArray Struct Reference

## Data Fields

SOCKET | miniServerSock4
SOCKET | miniServerSock6
SOCKET | miniServerSock6UlaGua
SOCKET | miniServerStopSock
SOCKET | ssdpSock4
SOCKET | ssdpSock6
SOCKET | ssdpSock6UlaGua
uint16_t | stopPort
uint16_t | miniServerPort4
uint16_t | miniServerPort6
uint16_t | miniServerPort6UlaGua
SOCKET | ssdpReqSock4
SOCKET | ssdpReqSock6

## Field Documentation

## miniServerSock4

SOCKET MServerSockArray::miniServerSock4

IPv4 socket for listening for miniserver requests.

Referenced by RunMiniServer(), and StartMiniServer().

## miniServerSock6

SOCKET MServerSockArray::miniServerSock6

IPv6 LLA Socket for listening for miniserver requests.

Referenced by RunMiniServer(), and StartMiniServer().

## miniServerSock6UlaGua

SOCKET MServerSockArray::miniServerSock6UlaGua

IPv6 ULA or GUA Socket for listening for miniserver requests.

Referenced by RunMiniServer(), and StartMiniServer().

## miniServerStopSock

SOCKET MServerSockArray::miniServerStopSock

Socket for stopping miniserver

Referenced by get_miniserver_stopsock(), RunMiniServer(), and StartMiniServer().

## ssdpReqSock4

SOCKET MServerSockArray::ssdpReqSock4

IPv4 SSDP socket for sending search requests and receiving search replies

Referenced by get_ssdp_sockets(), RunMiniServer(), and StartMiniServer().

## ssdpReqSock6

SOCKET MServerSockArray::ssdpReqSock6

IPv6 SSDP socket for sending search requests and receiving search replies

Referenced by get_ssdp_sockets(), RunMiniServer(), and StartMiniServer().

## ssdpSock4

SOCKET MServerSockArray::ssdpSock4

IPv4 SSDP Socket for incoming advertisments and search requests.

Referenced by get_ssdp_sockets(), RunMiniServer(), and StartMiniServer().

## ssdpSock6

SOCKET MServerSockArray::ssdpSock6

IPv6 LLA SSDP Socket for incoming advertisments and search requests.

Referenced by get_ssdp_sockets(), RunMiniServer(), and StartMiniServer().

## ssdpSock6UlaGua

SOCKET MServerSockArray::ssdpSock6UlaGua

IPv6 ULA or GUA SSDP Socket for incoming advertisments and search requests.

Referenced by get_ssdp_sockets(), RunMiniServer(), and StartMiniServer().

The documentation for this struct was generated from the following file:

- /build/pupnp-yoxcDv/pupnp-1.14.31/upnp/src/inc/miniserver.h